 <?php 
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$tra_id=ucfirst(limpiar($_GET['id']));
$can5=mysqli_query($con,"SELECT * FROM traslado_detalle td, traslado t WHERE tra_id='$tra_id' and traslado_tra_id='$tra_id' and t.empresa='$empresa'") or die(mysqli_error($con));  
while($dato=mysqli_fetch_array($can5))
{         
    $art_id_bod=$dato['art_id_bod'];  
    $trad_art_id=$dato['trad_art_id'];  
    $trad_referencia=$dato['trad_referencia'];     
    $trad_cantidad=$dato['trad_cantidad'];
    $tra_bodega_o=$dato['tra_bodega_o'];
    $tra_bodega_d=$dato['tra_bodega_d'];
    $tra_sucursal_o=$dato['tra_sucursal_o'];
    $tra_sucursal_d=$dato['tra_sucursal_d'];

    $can7=mysqli_query($con,"SELECT art_cantidad FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$trad_art_id' and bodegas='$tra_bodega_o' and sucursal='$tra_sucursal_o'") or die(mysqli_error($con));  
    $dato=mysqli_fetch_array($can7);
    $art_cantidad=$dato['art_cantidad'];
    $suma=$art_cantidad+$trad_cantidad;
    $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_id_bod' and articulos_art_id='$trad_art_id' and bodegas='$tra_bodega_o' and sucursal='$tra_sucursal_o'") or die(mysqli_error($con));

    $can9=mysqli_query($con,"SELECT art_cantidad FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$trad_art_id' and bodegas='$tra_bodega_d' and sucursal='$tra_sucursal_d'") or die(mysqli_error($con));  
    $dato9=mysqli_fetch_array($can9);
    $art_cantidad=$dato9['art_cantidad'];
    $resta=$art_cantidad-$trad_cantidad;
    $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where art_id='$art_id_bod' and articulos_art_id='$trad_art_id' and bodegas='$tra_bodega_d' and sucursal='$tra_sucursal_d'") or die(mysqli_error($con));
}    
                
$borrar_sql=mysqli_query($con,"DELETE FROM traslado_detalle WHERE  traslado_tra_id=$tra_id") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM traslado WHERE tra_id=$tra_id") or die(mysqli_error($con));

echo '<div class="alert alert-danger alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Traslado!</strong> Eliminado correctamente.
</div>';
?>